Overview
POST
/ecosystem/applicationsecosystemCreate applications
Create a record in applications.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring
- slugstring
- displayNamestring
- consumerKindstring
- isDeletedoptionalboolean
- idoptionalstring
Example
{
"ecosystemId": "string",
"slug": "string",
"displayName": "string",
"consumerKind": "string",
"isDeleted": true,
"id": "string"
}Responses
201
applications
- idstring
- ecosystemIdstring
- slugstring
- displayNamestring
- consumerKindstring
- createdAtstring
- updatedAtstring
- isDeletedboolean
Example
{
"id": "string",
"ecosystemId": "string",
"slug": "string",
"displayName": "string",
"consumerKind": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/ecosystem/applications" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"slug": "string",
"displayName": "string",
"consumerKind": "string",
"isDeleted": true,
"id": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/applications", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"slug\": \"string\",\n \"displayName\": \"string\",\n \"consumerKind\": \"string\",\n \"isDeleted\": true,\n \"id\": \"string\"\n}",
});
const data = await res.json();